Bug 1414576 - Mysql 5.7(latest) image pod does not start
Summary: Mysql 5.7(latest) image pod does not start
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: rh-mysql57-container
Version: rh-mysql57
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.4
Assignee: Honza Horak
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
: 1414571 (view as bug list)
Depends On:
Blocks: 1414571
TreeView+ depends on / blocked
 
Reported: 2017-01-18 21:19 UTC by Ben Parees
Modified: 2019-12-02 12:19 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1414571
Environment:
Last Closed: 2019-12-02 12:18:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ben Parees 2017-01-18 21:19:21 UTC
+++ This bug was initially created as a clone of Bug #1414571 +++

Description of problem:
When latest image is used for Mysql dc, mysql pod errors out with following error. This happens when using PV.

root@ip-172-31-41-173: ~/svt/openshift_scalability # oc logs -n eap64-mysql0         eap-app-mysql-1-k89cp   
---> 19:28:51     Processing MySQL configuration files ...
---> 19:28:51     Initializing database ...
---> 19:28:51     Running mysqld --initialize-insecure ...
2017-01-18T19:28:51.134868Z 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
2017-01-18T19:28:51.144948Z 0 [ERROR] --initialize specified but the data directory has files in it. Aborting.
2017-01-18T19:28:51.144970Z 0 [ERROR] Aborting

Version-Release number of selected component (if applicable):
openshift v3.5.0.5+8f2840d
kubernetes v1.5.2+43a9be4
etcd 3.1.0-rc.0


How reproducible:
Always

Steps to Reproduce:
1. Create an app using mysql using PV
2. Make sure to use the latest image tag for mysql dc
3. See the error in the mysql pod logs

Actual results:
Pod doesnt come up and shows above error, when changing the image tag to 5.6 works and pod comes up.

Expected results:
Pod should start without any error.

Additional info:

Comment 1 Ben Parees 2017-01-18 21:20:10 UTC
I've cloned this bug here because it needs to be investigated by the SCL team that owns the image.  We're keeping the original bug open as a tracker for our release.

Comment 2 Honza Horak 2017-01-20 12:00:08 UTC
Vikas, we'll need some more information, since just blindly running the container outside of OpenShift works fine:

docker run --rm -v '/root/testmysql:/var/lib/mysql/data:Z' -e MYSQL_ROOT_PASSWORD=aaaaaa registry.access.redhat.com/rhscl/mysql-57-rhel7

(In reply to Ben Parees from comment #0)
> 2017-01-18T19:28:51.144948Z 0 [ERROR] --initialize specified but the data
> directory has files in it. Aborting.
> 2017-01-18T19:28:51.144970Z 0 [ERROR] Aborting

Initialization phase is a bit different in this regard in MySQL 5.7, compared to 5.6. (mysql_install_db run in 5.6).

Any idea what files and why there are in the directory, that is mounted to the container? (I expect the container is run the first time, right? nothing like restarting container with same data that were used before already..)

> Steps to Reproduce:
> 1. Create an app using mysql using PV

Would it be possible to provide more concrete steps for the first step? Although even if we reproduce it, since the container run alone seems to work fine, I don't think we'll be able to debug what is happening inside OpenShift, so we'll need help here to tell what is going on. Ideally if you'd be able to reproduce the same failure with `docker run`.

> 2. Make sure to use the latest image tag for mysql dc

Which tag exactly, please? CentOS or RHEL variant?

Comment 3 Vikas Laad 2017-01-20 14:15:24 UTC
> Any idea what files and why there are in the directory, that is mounted to
> the container? (I expect the container is run the first time, right? nothing
> like restarting container with same data that were used before already..)

Yes, I am trying to create a new app and running this container for the first time.

> 
> > Steps to Reproduce:
> > 1. Create an app using mysql using PV
> 
> Would it be possible to provide more concrete steps for the first step?
> Although even if we reproduce it, since the container run alone seems to
> work fine, I don't think we'll be able to debug what is happening inside
> OpenShift, so we'll need help here to tell what is going on. Ideally if
> you'd be able to reproduce the same failure with `docker run`.
> 
> > 2. Make sure to use the latest image tag for mysql dc
> 
> Which tag exactly, please? CentOS or RHEL variant?

Here is the template I am using to create new app 

https://raw.githubusercontent.com/openshift/svt/master/openshift_scalability/content/quickstarts/eap/eap64-mysql-pv.json

Comment 4 Ben Parees 2017-02-17 18:55:47 UTC
*** Bug 1414571 has been marked as a duplicate of this bug. ***

Comment 18 Joe Orton 2019-12-02 12:18:36 UTC
In accordance with the Red Hat Software Collections Product Life Cycle, the support period for this collection has ended.

New bug fix, enhancement, and security errata updates, as well as technical support services will no longer be made available for this collection.

Customers are encouraged to upgrade to a later release.

Please contact Red Hat Support if you have further questions, or refer to the support lifecycle page for more information. https://access.redhat.com/support/policy/updates/rhscl/


Note You need to log in before you can comment on or make changes to this bug.